<?php

namespace App\Modules\HtlBed\Application\List;

use App\Modules\BookingTourPassenger\Domain\IdBookingTourPassenger;
use App\Modules\HtlBed\Domain\HtlBedRepository;
use App\Modules\HtlBed\Domain\ListHtlBed;

final class HtlBedLister
{
    public function __construct(private HtlBedRepository $repository)
    {
    }

    public function __invoke(string $action)
    {
        return $this->repository->search(new ListHtlBed($action));
    }
}
